Jump to content
Forums

Seafile - SSL


Go to solution Solved by Javyn,

Recommended Posts

Bonjour à toutes et à tous,

J'ai récemment voulu installer Seafile mais voici l'erreur qui j'obtiens lors de son initialisation.

Verifying cloud.domain.ltd...
Traceback (most recent call last):
  File "/shared/ssl/letsencrypt/acme_tiny.py", line 141, in get_crt
    assert (disable_check or _do_request(wellknown_url)[0] == keyauthorization)
  File "/shared/ssl/letsencrypt/acme_tiny.py", line 46, in _do_request
    raise ValueError("{0}:\nUrl: {1}\nData: {2}\nResponse Code: {3}\nResponse: {4}".format(err_msg, url, data, code, resp_data))
ValueError: Error:
Url: http://cloud.domain.ltd/.well-known/acme-challenge/J6d9ID71l17zSLoxhB8eV0NpOCX0cf2_zGOFv0p8DrE
Data: None
Response Code: None
Response: <urlopen error [Errno 110] Connection timed out>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/shared/ssl/letsencrypt/acme_tiny.py", line 198, in <module>
    main(sys.argv[1:])
  File "/shared/ssl/letsencrypt/acme_tiny.py", line 194, in main
    signed_crt = get_crt(args.account_key, args.csr, args.acme_dir, log=LOGGER,CA=args.ca, disable_check=args.disable_check, directory_url=args.directory_url,contact=args.contact)
  File "/shared/ssl/letsencrypt/acme_tiny.py", line 143, in get_crt
    raise ValueError("Wrote file to {0}, but couldn't download {1}: {2}".format(wellknown_path, wellknown_url, e))
ValueError: Wrote file to /var/www/challenges/J6d9ID71l17zSLoxhB8eV0NpOCX0cf2_zGOFv0p8DrE, but couldn't download http://cloud.domain.ltd/.well-known/acme-challenge/J6d9ID71l17zSLoxhB8eV0NpOCX0cf2_zGOFv0p8DrE: Error:
Url: http://cloud.domain.ltd/.well-known/acme-challenge/J6d9ID71l17zSLoxhB8eV0NpOCX0cf2_zGOFv0p8DrE
Data: None
Response Code: None
Response: <urlopen error [Errno 110] Connection timed out>
[2021-03-23 22:47:34] Preparing for letsencrypt ...
[2021-03-23 22:47:34] Starting letsencrypt verification
Traceback (most recent call last):
  File "/scripts/start.py", line 86, in <module>
    main()
  File "/scripts/start.py", line 51, in main
    init_letsencrypt()
  File "/scripts/bootstrap.py", line 71, in init_letsencrypt
    call('/scripts/ssl.sh {0} {1}'.format(ssl_dir, domain))
  File "/scripts/utils/__init__.py", line 70, in call
    return subprocess.check_call(*a, **kw)
  File "/usr/lib/python3.6/subprocess.py", line 311, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '/scripts/ssl.sh /shared/ssl cloud.domain.ltd' returned non-zero exit status 1.
*** /scripts/start.py exited with status 1.
*** Shutting down runit daemon (PID 17)...
*** Running /etc/my_init.post_shutdown.d/10_syslog-ng.shutdown...
*** Killing all processes...

Je ne sais absolument pas d'où cela peut venir. Merci d'avance pour votre aide.

Edited by Javyn
Link to post
il y a 45 minutes, zelandonii a dit :

Bonjour @Javyn,

Obtiens-tu ce message lors de la tentative de récupération du certificat Let's encrypt ?

Bonjour, cette trace est issue des logs de docker lors de la création du service. Mais à priori oui, cela vient de l'obtention du certificat.

Link to post

D'après ce que je vois, Let's Encrypt tente de donner un certificat à cloud.domain.ltd, or ce nom de domain n'existe pas.

Tu as bien saisi le nom de domaine de ton serveur dans le fichier de configuration ?

Link to post
Il y a 2 heures, Le Crabe a dit :

D'après ce que je vois, Let's Encrypt tente de donner un certificat à cloud.domain.ltd, or ce nom de domain n'existe pas.

Tu as bien saisi le nom de domaine de ton serveur dans le fichier de configuration ?

Bonjour,

Merci pour votre réponse. J'ai remplacé mon nom de domaine avant d'envoyer mon message. Il me semble avoir correctement saisi mon nom de domaine dans le fichier de configuration.

SEAFILE_SERVER_HOSTNAME=cloud.domain.ltd

 

Link to post

Comme te disait @Le Crabe, ce nom de domaine n'existe pas, cloud.ltd est un fournisseur de nom domaine.

Il fait que tu en acquière un si ce n'est déjà fait et que tu l'ecrives sur la ligne que tu as donné. En d'autres termes, tu dois mettre ce que tu écris dans la barre d'adresse pour te connecter à ton serveur.

C'est bien ça @Le Crabe ?

Link to post

Merci pour ta réponse @zelandonii mais comme je l'ai dis je me suis permis de modifier mon propre domaine en domain.tld lorsque j'ai envoyé mon message.

Mon nom de domaine pointe bien vers l'adresse IP de la machine sur laquelle est installé Seafile.

Link to post
  • Solution

J'ai eu un peu plus de temps pour me pencher sur le problème et il est désormais résolu. J'avais suivi l'article pour la configuration d'un serveur dédié, et il se trouve que c'est le pare-feu qui posait problème, tout simplement.

  • J'aime 2
Link to post

J'ai une toute dernière question qui n'a pas vraiment de rapport avec ce topic, mais est-il possible de régler le fait que Firefox détecte la connexion comme non sécurisée à cause de certains éléments comme des images ? Je suis un poil maniaque et ce petit triangle orange me dérange un peu.

Link to post
il y a 19 minutes, Javyn a dit :

J'ai une toute dernière question qui n'a pas vraiment de rapport avec ce topic, mais est-il possible de régler le fait que Firefox détecte la connexion comme non sécurisée à cause de certains éléments comme des images ? Je suis un poil maniaque et ce petit triangle orange me dérange un peu.

Oui il me semble que Firefox affiche une connexion comme non sécurisée si tu es sur un site https mais qui récupère des fichiers (images ou autre) via http.

Link to post
Guest
This topic is now closed to further replies.
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.